الانتقال إلى المحتوى الرئيسي
POST
/
augment
/
search
/api/v1/augment/search
curl --request POST \
  --url https://api.venice.ai/api/v1/augment/search \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "query": "latest news about AI",
  "limit": 10,
  "search_provider": "brave"
}
'
{
  "query": "<string>",
  "results": [
    {
      "title": "<string>",
      "url": "<string>",
      "content": "<string>",
      "date": "<string>"
    }
  ]
}
هذه واجهة API تجريبية. قد يتغير تنسيق الطلب والاستجابة دون إشعار.
أرسل استعلام البحث في حقل query. تُعيد الـ API نتائج مهيكلة تشمل العناوين وعناوين URL ومقتطفات المحتوى والتواريخ. موفّرو البحث:
  • brave (الافتراضي) — Brave Search مع عدم الاحتفاظ بالبيانات (ZDR). لا يخزّن موفّر البحث استعلامات البحث ولا يسجّلها أبدًا.
  • google — Google Search باستعلامات مجهولة الهوية. يتم تمرير عمليات البحث عبر بنية Venice التحتية بحيث لا تُربط هويتك بطلب البحث المُرسَل إلى Google. لا تخزّن Venice استعلامات البحث ولا تسجّلها.
التسعير: $0.01 لكل طلب.

مثال (cURL)

curl -X POST https://api.venice.ai/api/v1/augment/search \
  -H "Authorization: Bearer $VENICE_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"query": "latest news about AI"}'

التفويضات

Authorization
string
header
مطلوب

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

الجسم

application/json
query
string
مطلوب

The search query

Required string length: 1 - 400
مثال:

"latest news about AI"

limit
integer
افتراضي:10

Maximum number of results to return (default: 10, max: 20)

النطاق المطلوب: 1 <= x <= 20
مثال:

10

search_provider
enum<string>

Search provider to use. "brave" uses Brave Search with Zero Data Retention (ZDR) for maximum privacy — search queries are never stored or logged. "google" uses Google Search with anonymized queries — searches are proxied through Venice's infrastructure so that your identity is not associated with the search request sent to Google. Venice does not store or log search queries. Defaults to "brave".

الخيارات المتاحة:
google,
brave
مثال:

"brave"

الاستجابة

Successfully executed search

query
string
مطلوب

The search query that was executed

results
object[]
مطلوب

The search results